# $Revision: 1.5 $, $Date: 2006/05/23 20:18:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		PEAR
%define		_subclass	RemoteInstaller
%define		_status		alpha
%define		_pearname	PEAR_RemoteInstaller

Summary:	%{_pearname} - PEAR Remote installation plugin through FTP
Summary(pl):	%{_pearname} - wtyczka do zdalnej instalacji PEAR poprzez FTP
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	1
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	689a05f91c6a292a3a8c0fccf3c95bf8
URL:		http://pear.php.net/package/PEAR_RemoteInstaller/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR >= 1:1.4.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(ssh2.*)'

%description
Originally part of the 1.4.0 new features, remote installation through
FTP, FTPS and SFTP is now its own package. This package adds the
commands "remote-install" "remote-upgrade" "remote-uninstall" and
"remote-upgrade-all" to the PEAR core.

To take advantage, you must have a config file on the remote ftp
server and full access to the server to create and remove files. The
config-create command can be used to get started, and the
remote_config configuration variable is set to the full URL as in
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

After this is done, install/upgrade as normal using the remote*
commands as if they were local.

In PEAR status of this package is: %{_status}.

%description -l pl
Pocztkowo cz instalatora PEAR 1.4.0, zdalna instalacja przy uyciu
FTP, FTPS lub SFTP jest teraz w osobnym pakiecie. Pakiet ten dostarcza
polecenia "remote-install", "remote-upgrade", "remote-uinnstall" oraz
"remote-upgrade-all" do gwnej czci PEAR.

Aby skorzysta z tej funkcjonalnoci, konieczne jest posiadanie pliku
konfiguracyjnego na zdalnym serwerze oraz moliwo tworzenia i
usuwania na nim plikw. Polecenie "config-create" moe by uyte, aby
rozpocz, a w zmiennej remote_config powinna znajdowa si pena
cieka (URL), np:
- ftp://ftp.example.com/path/to/pear.ini,
- ftps://user:pass@ftp.example.com/path/to/pear.ini,
- ssh2.sftp://user:pass@ftp.example.com/path/to/pear.ini"

Gdy to bdzie zrobione, moliwa jest instalacja/aktualizacja przy
uyciu polece remote* tak jakby operacje przeprowadzane byy na
lokalnym repozytorium.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PEAR/Command/Remoteinstall.xml
%{php_pear_dir}/PEAR/Command/Remoteinstall.php
%{php_pear_dir}/PEAR/FTP.php
%{php_pear_dir}/PEAR/RemoteInstaller.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PEAR_RemoteInstaller.spec,v $
Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/04/28 19:30:52  qboosh
- typo

Revision 1.3  2006/04/24 16:32:58  glen
- correct requires

Revision 1.2  2006/04/24 15:09:01  spider
- typo fix

Revision 1.1  2006/04/24 14:37:39  adamg
- new
